# Thanks to malcolmlewis for help with this script
# Thanks to Tom "spot" Callaway for much of the patchwork
# Thanks to jhaygood for most of the icu patch

# norootforbuild

Name:           chromium-pepper-flash
URL:		http://www.google.com/chrome
BuildRequires:  rpm cpio

Summary:        Pepperflash (FlashPlayer) for Google's opens source browser Chromium
Version:        11.9.900.152
Release:        2.1
%define chromeversion stable-31.0.1650.48-1
%ifarch i586
%define _arch i386
%endif
%ifarch x86_64
%define _arch x86_64
%endif
License:        Non-OSS
Group:          Productivity/Networking/Web/Browsers
Source0:        http://dl.google.com/linux/chrome/rpm/stable/%{_arch}/google-chrome-%{chromeversion}.%{_arch}.rpm 
# Use x86/x86_64 pre-built libs
ExclusiveArch:  %{ix86} x86_64
Requires:       chromium-browser

%description
Pepperflash plugin for Chromium

%package -n chromium-pdf-plugin
Summary:        The pdf plugin for Google's opens source browser Chromium
License:        Non-OSS
Group:          Productivity/Networking/Web/Browsers
Requires:       chromium-browser

%description -n chromium-pdf-plugin
Official pdf plugin for Chromium


%prep
%setup -c -T

%build
rpm2cpio %{SOURCE0} | cpio -idmv

%install
mkdir -p %{buildroot}%{_libdir}/chromium/PepperFlash/
install -m644 opt/google/chrome/PepperFlash/* %{buildroot}%{_libdir}/chromium/PepperFlash/ 
install -m755 opt/google/chrome/libpdf.so %{buildroot}%{_libdir}/chromium/


%post
CHROMIUM_CONFIG='/etc/default/chromium'
# add ppapi flashplayer path to chromium config file
if [[ $(cat "$CHROMIUM_CONFIG") != *ppapi*path* ]]; then
    sed -i '/CHROMIUM_FLAGS/s|"$| --ppapi-flash-path=/usr/%{_libdir}/chromium/PepperFlash/libpepflashplayer.so"|' "$CHROMIUM_CONFIG"
  else
    : # do nothing
fi

%postun
CHROMIUM_CONFIG='/etc/default/chromium'
# remove ppapi flashplayer path from chromiun config file
if [ -f "$CHROMIUM_CONFIG" ]; then
    sed -i "s| --ppapi-flash-path=/usr/%{_libdir}/chromium/PepperFlash/libpepflashplayer.so||" "$CHROMIUM_CONFIG"
  else
    : # do nothing
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_libdir}/chromium/
%{_libdir}/chromium/PepperFlash/

%files -n chromium-pdf-plugin
%defattr(-,root,root,-)
%{_libdir}/chromium/libpdf.so

%changelog
* Wed Nov 13 2013 rwooninck@opensuse.org
- Update to 11.9.900.152
* Tue Oct 15 2013 fisiu@opensuse.org
- Update to 11.9.900.117.
* Mon Sep 30 2013 rwooninck@opensuse.org
- Add the official chrome PDF plugin as additional package
* Wed Aug 14 2013 guillaume@opensuse.org
- Add ExclusiveArch:  %%{ix86} x86_64 since it uses x86/x86_64 pre-built libs
* Mon Jul 29 2013 fisiu@opensuse.org
- Update to 11.8.800.96.
* Mon Jun 17 2013 fisiu@opensuse.org
- Proper source for version 11.7.700.225.
* Fri Jun 14 2013 fisiu@opensuse.org
- Update to 11.7.700.225.
* Fri May 24 2013 fisiu@opensuse.org
- Update to 11.7.700.203.
* Wed May  8 2013 fisiu@opensuse.org
- Update to 11.7.700.169.
- Add scriptlets to adjust chromium config file.
- Use stable build.
* Sat Mar  9 2013 rwooninck@opensuse.org
- Update to 11.6.602.177
* Thu Feb 28 2013 rwooninck@opensuse.org
- Initial version of the latest Pepper flash player which is
  included with the Google Chrome browser.
